ptmgets.h
Go to the documentation of this file.
/**
* @file ptmgets.h
* @brief PTMGETS service.
*/
#pragma once
#include <3ds/types.h>
/// Initializes PTMGETS.
Result ptmGetsInit(void);
/// Exits PTMGETS.
void ptmGetsExit(void);
/**
* @brief Gets a pointer to the current ptm:gets session handle.
* @return A pointer to the current ptm:gets session handle.
*/
Handle *ptmGetsGetSessionHandle(void);
/**
* @brief Gets the system time.
* @param[out] outMsY2k The pointer to write the number of milliseconds since 01/01/2000 to.
*/
Result PTMGETS_GetSystemTime(s64 *outMsY2k);
ptmGetsGetSessionHandle
Handle * ptmGetsGetSessionHandle(void)
Gets a pointer to the current ptm:gets session handle.
ptmGetsInit
Result ptmGetsInit(void)
Initializes PTMGETS.
PTMGETS_GetSystemTime
Result PTMGETS_GetSystemTime(s64 *outMsY2k)
Gets the system time.
ptmGetsExit
void ptmGetsExit(void)
Exits PTMGETS.
types.h
Various system types.
s64
int64_t s64
64-bit signed integer
Definition: types.h:29
Handle
u32 Handle
Resource handle.
Definition: types.h:41
Result
s32 Result
Function result.
Definition: types.h:42